<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:01 CET 2009 -->
<TITLE>
DefaultIntList
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.ints.DefaultIntList class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="DefaultIntList";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntList.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntListIterator.html" title="class in ch.javasoft.util.ints"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/DefaultIntList.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntList.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.ints</FONT>
<BR>
Class DefaultIntList</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.AbstractIntCollection</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html" title="class in ch.javasoft.util.ints">ch.javasoft.util.ints.AbstractIntList</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.ints.DefaultIntList</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>, <A HREF="../../../../ch/javasoft/util/ints/IntIterable.html" title="interface in ch.javasoft.util.ints">IntIterable</A>, <A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.53"><B>DefaultIntList</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html" title="class in ch.javasoft.util.ints">AbstractIntList</A><DT>implements <A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A></DL>
</PRE>

<P>
The <tt>DefaultIntList</tt> is a list of integers backed by an 
 <A HREF="../../../../ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util"><CODE>IntArray</CODE></A>. Integers can be added after construction. This class 
 implements the collection interfaces and is therefore a list of integers.
<P>

<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addInt(int)"><CODE>addInt(int)</CODE></A>, 
<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#trimToLength()"><CODE>trimToLength()</CODE></A>, 
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util"><CODE>List</CODE></A>, 
<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints"><CODE>IntList</CODE></A>, 
<A HREF="../../../../serialized-form.html#ch.javasoft.util.ints.DefaultIntList">Serialized Form</A></DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#mod">mod</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#DefaultIntList()">DefaultIntList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#DefaultIntList(ch.javasoft.util.ints.DefaultIntList)">DefaultIntList</A></B>(<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A>&nbsp;copy)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#DefaultIntList(int)">DefaultIntList</A></B>(int&nbsp;initialCapacity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#DefaultIntList(int[])">DefaultIntList</A></B>(int[]&nbsp;initialValues)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#DefaultIntList(ch.javasoft.util.IntArray)">DefaultIntList</A></B>(<A HREF="../../../../ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util">IntArray</A>&nbsp;array)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#DefaultIntList(ch.javasoft.util.ints.IntCollection)">DefaultIntList</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;coll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#DefaultIntList(java.lang.Iterable)">DefaultIntList</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addAll(int...)">addAll</A></B>(int...&nbsp;values)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addAll(ch.javasoft.util.ints.IntCollection)">addAll</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;coll)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addInt(int)">addInt</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addInt(int, int)">addInt</A></B>(int&nbsp;index,
             int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addIntToSorted(int)">addIntToSorted</A></B>(int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Adds the given value at the position where the value fits according
 to <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#binarySearchInt(int)"><CODE>binarySearchInt(int)</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#binarySearchInt(int)">binarySearchInt</A></B>(int&nbsp;key)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Searches this int array for the specified value using the
 binary search algorithm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#binarySearchInt(int, int, int)">binarySearchInt</A></B>(int&nbsp;key,
                               int&nbsp;fromIndex,
                               int&nbsp;toIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Searches this int array for the specified value using the
 binary search algorithm.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#firstInt()">firstInt</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#getInt(int)">getInt</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#isEmpty()">isEmpty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#lastInt()">lastInt</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/IntListIterator.html" title="interface in ch.javasoft.util.ints">IntListIterator</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#listIterator(int)">listIterator</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#mergeSorted(ch.javasoft.util.ints.IntList)">mergeSorted</A></B>(<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A>&nbsp;sorted)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Merges two sorted int lists.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#removeFromTail(int)">removeFromTail</A></B>(int&nbsp;n)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes <code>n</code> elements from the tail of this array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#removeIntAt(int)">removeIntAt</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes and returns the integer at the given position.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#removeLastInt()">removeLastInt</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#setInt(int, int)">setInt</A></B>(int&nbsp;index,
             int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#setOrAddInt(int, int)">setOrAddInt</A></B>(int&nbsp;index,
                       int&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets the value at the given position, if the index is in the range or
 this int array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#size()">size</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#sort(boolean)">sort</A></B>(boolean&nbsp;ascending)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sort the array ascending or descending.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#sort(boolean, int, int)">sort</A></B>(boolean&nbsp;ascending,
         int&nbsp;start,
         int&nbsp;end)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sort the specified array range ascending or descending.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#subList(int, int)">subList</A></B>(int&nbsp;fromIndex,
               int&nbsp;toIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#swap(int, int)">swap</A></B>(int&nbsp;indexA,
         int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#toIntArray()">toIntArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a string representation of the contents of this int array.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#trimToLength()">trimToLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#yieldIntArray()">yieldIntArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the internal array after trimming it to the current length and
 returns it.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.AbstractIntList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html" title="class in ch.javasoft.util.ints">AbstractIntList</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#add(int, java.lang.Integer)">add</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#addAll(int, java.util.Collection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#containsInt(int)">containsInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#get(int)">get</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#indexOf(java.lang.Object)">indexOf</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#indexOfInt(int)">indexOfInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#lastIndexOf(java.lang.Object)">lastIndexOf</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#lastIndexOfInt(int)">lastIndexOfInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#listIterator()">listIterator</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#remove(int)">remove</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#removeInt(int)">removeInt</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#set(int, java.lang.Integer)">set</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#add(java.lang.Integer)">add</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#addAll(java.util.Collection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#contains(java.lang.Object)">contains</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#containsAll(java.util.Collection)">containsAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#first()">first</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#last()">last</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#remove(java.lang.Object)">remove</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#removeAll(java.util.Collection)">removeAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#retainAll(java.util.Collection)">retainAll</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toArray()">toArray</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toArray(T[])">toArray</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toArrayInternal(T[], boolean)">toArrayInternal</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toIntArray(int[])">toIntArray</A>, <A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toIntArrayInternal(int[], boolean)">toIntArrayInternal</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.IntList"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html#containsInt(int)">containsInt</A>, <A HREF="../../../../ch/javasoft/util/ints/IntList.html#iterator()">iterator</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.ints.IntCollection"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.ints.<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#removeInt(int)">removeInt</A>, <A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#toIntArray(int[])">toIntArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.List"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#add(int, E)" title="class or interface in java.util">add</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#addAll(int, java.util.Collection)" title="class or interface in java.util">addAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#contains(java.lang.Object)" title="class or interface in java.util">contains</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#get(int)" title="class or interface in java.util">get</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#indexOf(java.lang.Object)" title="class or interface in java.util">indexOf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#lastIndexOf(java.lang.Object)" title="class or interface in java.util">lastIndexOf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator()" title="class or interface in java.util">listIterator</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(int)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(java.lang.Object)" title="class or interface in java.util">remove</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#set(int, E)" title="class or interface in java.util">set</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#toArray()" title="class or interface in java.util">toArray</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="DefaultIntList()"><!-- --></A><H3>
DefaultIntList</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.59"><B>DefaultIntList</B></A>()</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntList(int)"><!-- --></A><H3>
DefaultIntList</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.62"><B>DefaultIntList</B></A>(int&nbsp;initialCapacity)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntList(int[])"><!-- --></A><H3>
DefaultIntList</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.65"><B>DefaultIntList</B></A>(int[]&nbsp;initialValues)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntList(ch.javasoft.util.IntArray)"><!-- --></A><H3>
DefaultIntList</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.68"><B>DefaultIntList</B></A>(<A HREF="../../../../ch/javasoft/util/IntArray.html" title="class in ch.javasoft.util">IntArray</A>&nbsp;array)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntList(java.lang.Iterable)"><!-- --></A><H3>
DefaultIntList</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.71"><B>DefaultIntList</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;&nbsp;values)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntList(ch.javasoft.util.ints.DefaultIntList)"><!-- --></A><H3>
DefaultIntList</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.77"><B>DefaultIntList</B></A>(<A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A>&nbsp;copy)</PRE>
<DL>
</DL>
<HR>

<A NAME="DefaultIntList(ch.javasoft.util.ints.IntCollection)"><!-- --></A><H3>
DefaultIntList</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.80"><B>DefaultIntList</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;coll)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.85"><B>clone</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="size()"><!-- --></A><H3>
size</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.89"><B>size</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#size()" title="class or interface in java.util">size</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#size()">size</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="isEmpty()"><!-- --></A><H3>
isEmpty</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.93"><B>isEmpty</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#isEmpty()" title="class or interface in java.util">isEmpty</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#isEmpty()">isEmpty</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getInt(int)"><!-- --></A><H3>
getInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.96"><B>getInt</B></A>(int&nbsp;index)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html#getInt(int)">getInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setInt(int, int)"><!-- --></A><H3>
setInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.99"><B>setInt</B></A>(int&nbsp;index,
                  int&nbsp;value)
           throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html#setInt(int, int)">setInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="setOrAddInt(int, int)"><!-- --></A><H3>
setOrAddInt</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.118"><B>setOrAddInt</B></A>(int&nbsp;index,
                        int&nbsp;value)</PRE>
<DL>
<DD>Sets the value at the given position, if the index is in the range or
 this int array. If the index is at the end (i.e. 
 <code>index == length()</code>), the value is added to this array. If the 
 index is after the end (i.e. <code>index > length()</code>), the value is
 added at the specified position, the gap between the added value and the
 current length of the array is filled with 
 <A HREF="../../../../ch/javasoft/util/IntArray.html#initialValue()"><CODE>initial values</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>index</CODE> - the index where the new value should be placed, either added
                                or replacing an old one<DD><CODE>value</CODE> - the value to set or add</DL>
</DD>
</DL>
<HR>

<A NAME="addIntToSorted(int)"><!-- --></A><H3>
addIntToSorted</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.131"><B>addIntToSorted</B></A>(int&nbsp;value)</PRE>
<DL>
<DD>Adds the given value at the position where the value fits according
 to <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#binarySearchInt(int)"><CODE>binarySearchInt(int)</CODE></A>. If this int array is not sorted 
 ascending, the result is undefined.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>value</CODE> - the value to insert
<DT><B>Returns:</B><DD>the position where the value has been inserted</DL>
</DD>
</DL>
<HR>

<A NAME="mergeSorted(ch.javasoft.util.ints.IntList)"><!-- --></A><H3>
mergeSorted</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.143"><B>mergeSorted</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A>&nbsp;sorted)</PRE>
<DL>
<DD>Merges two sorted int lists. If any of the lists is not sorted 
 ascending, the result is undefined.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>sorted</CODE> - the other sorted int list to merge into this int array</DL>
</DD>
</DL>
<HR>

<A NAME="addInt(int)"><!-- --></A><H3>
addInt</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.184"><B>addInt</B></A>(int&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#addInt(int)">addInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html#addInt(int)">addInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntList.html" title="class in ch.javasoft.util.ints">AbstractIntList</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addInt(int, int)"><!-- --></A><H3>
addInt</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.190"><B>addInt</B></A>(int&nbsp;index,
                      int&nbsp;value)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html#addInt(int, int)">addInt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(ch.javasoft.util.ints.IntCollection)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.196"><B>addAll</B></A>(<A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A>&nbsp;coll)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#addAll(ch.javasoft.util.ints.IntCollection)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#addAll(ch.javasoft.util.ints.IntCollection)">addAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="addAll(int...)"><!-- --></A><H3>
addAll</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.205"><B>addAll</B></A>(int...&nbsp;values)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#addAll(int...)">addAll</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#addAll(int...)">addAll</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeLastInt()"><!-- --></A><H3>
removeLastInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.210"><B>removeLastInt</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeFromTail(int)"><!-- --></A><H3>
removeFromTail</H3>
<PRE>
public boolean <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.224"><B>removeFromTail</B></A>(int&nbsp;n)</PRE>
<DL>
<DD>Removes <code>n</code> elements from the tail of this array. If fewer 
 elements are left in this array, an <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang"><CODE>IndexOutOfBoundsException</CODE></A> is
 thrown.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>n</CODE> - the number of elements to remove from the tail of this array
<DT><B>Returns:</B><DD>true if this array changed as a consequence of this operation</DL>
</DD>
</DL>
<HR>

<A NAME="removeIntAt(int)"><!-- --></A><H3>
removeIntAt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.247"><B>removeIntAt</B></A>(int&nbsp;index)</PRE>
<DL>
<DD>Removes and returns the integer at the given position. Values at the 
 right of the concerned position are shifted to left.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html#removeIntAt(int)">removeIntAt</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>index</CODE> - the index of the value to remove
<DT><B>Returns:</B><DD>the removed value</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.253"><B>clear</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#clear()">clear</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="firstInt()"><!-- --></A><H3>
firstInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.259"><B>firstInt</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#firstInt()">firstInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="lastInt()"><!-- --></A><H3>
lastInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.263"><B>lastInt</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#lastInt()">lastInt</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subList(int, int)"><!-- --></A><H3>
subList</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html" title="class in ch.javasoft.util.ints">DefaultIntList</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.267"><B>subList</B></A>(int&nbsp;fromIndex,
                              int&nbsp;toIndex)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html#subList(int, int)">subList</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#subList(int, int)" title="class or interface in java.util">subList</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="listIterator(int)"><!-- --></A><H3>
listIterator</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/ints/IntListIterator.html" title="interface in ch.javasoft.util.ints">IntListIterator</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.270"><B>listIterator</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html#listIterator(int)">listIterator</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntList.html" title="interface in ch.javasoft.util.ints">IntList</A></CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#listIterator(int)" title="class or interface in java.util">listIterator</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Integer.html" title="class or interface in java.lang">Integer</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swap(int, int)"><!-- --></A><H3>
swap</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.311"><B>swap</B></A>(int&nbsp;indexA,
                 int&nbsp;indexB)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toIntArray()"><!-- --></A><H3>
toIntArray</H3>
<PRE>
public int[] <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.317"><B>toIntArray</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html#toIntArray()">toIntArray</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/ints/IntCollection.html" title="interface in ch.javasoft.util.ints">IntCollection</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toIntArray()">toIntArray</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="yieldIntArray()"><!-- --></A><H3>
yieldIntArray</H3>
<PRE>
public int[] <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.325"><B>yieldIntArray</B></A>()</PRE>
<DL>
<DD>Returns the internal array after trimming it to the current length and
 returns it. This <code>DefaultIntList</code> will be empty after this 
 operation.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="trimToLength()"><!-- --></A><H3>
trimToLength</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.329"><B>trimToLength</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="sort(boolean)"><!-- --></A><H3>
sort</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.341"><B>sort</B></A>(boolean&nbsp;ascending)</PRE>
<DL>
<DD>Sort the array ascending or descending. If this array is sorted 
 ascending, the <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#binarySearchInt(int)"><CODE>binarySearchInt(int)</CODE></A> and 
 <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addIntToSorted(int)"><CODE>addIntToSorted(int)</CODE></A> methods can be used
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ascending</CODE> - true for ascending sort order</DL>
</DD>
</DL>
<HR>

<A NAME="sort(boolean, int, int)"><!-- --></A><H3>
sort</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.358"><B>sort</B></A>(boolean&nbsp;ascending,
                 int&nbsp;start,
                 int&nbsp;end)</PRE>
<DL>
<DD>Sort the specified array range ascending or descending. If this whole 
 array is sorted ascending, the <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#binarySearchInt(int)"><CODE>binarySearchInt(int)</CODE></A> and 
 <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#addIntToSorted(int)"><CODE>addIntToSorted(int)</CODE></A> methods can be used.
 <p>
 This method should only be used if one knows that only the defined
 interval needs sorting. Otherwise, <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#sort(boolean)"><CODE>sort(boolean)</CODE></A> should be used
 instead.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>ascending</CODE> - true for ascending sort order<DD><CODE>start</CODE> - the index where the sorting starts (inclusive)<DD><CODE>end</CODE> - the index where the sorting ends (exclusive)</DL>
</DD>
</DL>
<HR>

<A NAME="binarySearchInt(int)"><!-- --></A><H3>
binarySearchInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.383"><B>binarySearchInt</B></A>(int&nbsp;key)
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></PRE>
<DL>
<DD>Searches this int array for the specified value using the
 binary search algorithm.  The array <strong>must</strong> be sorted 
 ascending (as by the <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#sort(boolean)"><CODE>sort(boolean)</CODE></A> method) prior to making this 
 call.  If it is not sorted, the results are undefined.  If the array 
 contains multiple elements with the specified value, there is no 
 guarantee which one will be found.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the value to be searched for.
<DT><B>Returns:</B><DD>index of the search key, if it is contained in the list;
               otherwise, <tt>(-(<i>insertion point</i>) - 1)</tt>.  The
               <i>insertion point</i> is defined as the point at which the
               key would be inserted into the list: the index of the first
               element greater than the key, or <tt>list.size()</tt>, if all
               elements in the list are less than the specified key.  Note
               that this guarantees that the return value will be &gt;= 0 if
               and only if the key is found.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></CODE><DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/Arrays.html#binarySearch(int[], int, int, int)"><CODE>Arrays.binarySearch(int[], int, int, int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="binarySearchInt(int, int, int)"><!-- --></A><H3>
binarySearchInt</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.409"><B>binarySearchInt</B></A>(int&nbsp;key,
                           int&nbsp;fromIndex,
                           int&nbsp;toIndex)
                    throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></PRE>
<DL>
<DD>Searches this int array for the specified value using the
 binary search algorithm.  The array <strong>must</strong> be sorted 
 ascending (as by the <A HREF="../../../../ch/javasoft/util/ints/DefaultIntList.html#sort(boolean)"><CODE>sort(boolean)</CODE></A> method) prior to making this 
 call.  If it is not sorted, the results are undefined.  If the array 
 contains multiple elements with the specified value, there is no 
 guarantee which one will be found.
<P>
<DD><DL>
</DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>key</CODE> - the value to be searched for.<DD><CODE>fromIndex</CODE> - the index of the first element (inclusive) to be
                searched<DD><CODE>toIndex</CODE> - the index of the last element (exclusive) to be searched
<DT><B>Returns:</B><DD>index of the search key, if it is contained in the list;
               otherwise, <tt>(-(<i>insertion point</i>) - 1)</tt>.  The
               <i>insertion point</i> is defined as the point at which the
               key would be inserted into the list: the index of the first
               element greater than the key, or <tt>list.size()</tt>, if all
               elements in the list are less than the specified key.  Note
               that this guarantees that the return value will be &gt;= 0 if
               and only if the key is found.
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalStateException.html" title="class or interface in java.lang">IllegalStateException</A></CODE><DT><B>See Also:</B><DD><A HREF="../../../../ch/javasoft/util/Arrays.html#binarySearch(int[], int, int, int)"><CODE>Arrays.binarySearch(int[], int, int, int)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/util/ints/DefaultIntList.html#line.424"><B>toString</B></A>()</PRE>
<DL>
<DD>Returns a string representation of the contents of this int array.
 The string representation consists of a list of the array's elements,
 enclosed in square brackets (<tt>"[]"</tt>).  Adjacent elements are
 separated by the characters <tt>", "</tt> (a comma followed by a
 space).  Elements are converted to strings as by
 <tt>String.valueOf(int)</tt>.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html#toString()">toString</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/ints/AbstractIntCollection.html" title="class in ch.javasoft.util.ints">AbstractIntCollection</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>a string representation of <tt>a</tt></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/DefaultIntList.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntIntMap.html" title="class in ch.javasoft.util.ints"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/ints/DefaultIntListIterator.html" title="class in ch.javasoft.util.ints"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/ints/DefaultIntList.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="DefaultIntList.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.ints.AbstractIntCollection">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
